Change a money line
PATCH/api/money/events/{id}/lines/{lineId}
PATCH
/api/money/events/{id}/lines/{lineId}
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
lineId
required
string format: uuid
Request Body
Section titled “Request Body”object
kind
string
category
string
amount
number
description
string
owedToUserId
string format: uuid
owedToName
string
Responses
Section titled “ Responses ”Success
object
ok
required
boolean
data
Bad request / invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden, or Gig Money switched off
object
ok
required
boolean
error
required
string
code
string
Not found
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string
